## ros-diagnostics 1.10.1+ds1

=== diagnostic_aggregator/CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 3.0.2)
project(diagnostic_aggregator)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED diagnostic_msgs pluginlib roscpp rospy xmlrpcpp bondcpp)
catkin_package(DEPENDS diagnostic_msgs pluginlib roscpp rospy xmlrpcpp bondcpp
    INCLUDE_DIRS include
    LIBRARIES ${PROJECT_NAME})

set(REQUIRED_diagnostic_msgs_VERSION_Indigo "1.11.9")
set(REQUIRED_diagnostic_msgs_VERSION_Jade "1.12.4")
if( ${diagnostic_msgs_VERSION} VERSION_LESS ${REQUIRED_diagnostic_msgs_VERSION_Indigo})
  message(FATAL_ERROR "diagnostic_msgs version ${REQUIRED_diagnostic_msgs_VERSION_Indigo} or newer is required to build diagnotic_aggregator on ROS Indigo")
endif()
if( (${diagnostic_msgs_VERSION} VERSION_EQUAL "1.12.0") OR
    (${diagnostic_msgs_VERSION} VERSION_GREATER "1.12.0" AND
     ${diagnostic_msgs_VERSION} VERSION_LESS ${REQUIRED_diagnostic_msgs_VERSION_Jade}))
  message(FATAL_ERROR "diagnostic_msgs version ${REQUIRED_diagnostic_msgs_VERSION_Jade} or newer is required to build diagnotic_aggregator on ROS Jade")
endif()

find_package(Boost REQUIRED COMPONENTS system)
include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

set(LOCAL_GTEST_DIR "gtest-1.7.0")
# gtest could be included in ${catkin_INCLUDE_DIRS}, prepend local gtest include directory so it's searched first
include_directories(BEFORE ${LOCAL_GTEST_DIR}/include)

add_library(${PROJECT_NAME}
  src/status_item.cpp
  src/analyzer_group.cpp
  src/generic_analyzer.cpp
  src/discard_analyzer.cpp
  src/ignore_analyzer.cpp
  src/aggregator.cpp)
target_link_libraries(diagnostic_aggregator ${Boost_LIBRARIES}
                                            ${catkin_LIBRARIES}
)
add_dependencies(${PROJECT_NAME} diagnostic_msgs_generate_messages_cpp)

# Aggregator node 
add_executable(aggregator_node src/aggregator_node.cpp)
target_link_libraries(aggregator_node ${catkin_LIBRARIES}
                                      ${PROJECT_NAME}
)

# Analyzer loader allows other users to test that Analyzers load
add_executable(analyzer_loader test/analyzer_loader.cpp ${LOCAL_GTEST_DIR}/gtest-all.cc)
target_link_libraries(analyzer_loader diagnostic_aggregator)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest(test/launch/test_agg.launch)
  add_rostest(test/launch/test_add_agg.launch)

  # Test Analyzer loader
  add_rostest(test/launch/test_loader.launch)
  add_rostest(test/launch/test_expected_stale.launch)
  add_rostest(test/launch/test_multiple_match.launch)

  add_rostest(test/launch/test_discard_stale_not_published.launch)
endif()

catkin_install_python(
        PROGRAMS scripts/add_analyzers
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)
install(FILES analyzer_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(TARGETS ${PROJECT_NAME}
        DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)
install(TARGETS aggregator_node analyzer_loader
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== diagnostic_common_diagnostics/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(diagnostic_common_diagnostics)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS diagnostic_updater)

catkin_python_setup()

catkin_package()

catkin_python_setup()

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)

  # Test CPU Monitor
  add_rostest(test/launch/test_cpu_monitor.launch)
  add_rostest(test/launch/test_cpu_monitor_level_ok.launch)
  add_rostest(test/launch/test_cpu_monitor_level_warn.launch)
endif()

catkin_install_python(PROGRAMS
  src/diagnostic_common_diagnostics/cpu_monitor.py
  src/diagnostic_common_diagnostics/hd_monitor.py
  src/diagnostic_common_diagnostics/ntp_monitor.py
  src/diagnostic_common_diagnostics/sensors_monitor.py
  src/diagnostic_common_diagnostics/tf_monitor.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== diagnostic_updater/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(diagnostic_updater)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED diagnostic_msgs roscpp std_msgs)

catkin_python_setup()

catkin_package(DEPENDS diagnostic_msgs roscpp std_msgs
               INCLUDE_DIRS include
)

include_directories(include ${catkin_INCLUDE_DIRS})
add_executable(example src/example.cpp)
target_link_libraries(example ${catkin_LIBRARIES})

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest_gtest(diagnostic_updater_test test/diagnostic_updater_test.xml test/diagnostic_updater_test.cpp)
  add_rostest(test/diagnostic_updater_fast_test.xml)
  target_link_libraries(diagnostic_updater_test ${catkin_LIBRARIES})
endif()

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== self_test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(self_test)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED diagnostic_msgs diagnostic_updater roscpp rostest)

catkin_package(DEPENDS diagnostic_msgs diagnostic_updater roscpp
               INCLUDE_DIRS include
)

include_directories(include gtest-1.7.0/include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

find_package(Boost REQUIRED COMPONENTS thread)
include_directories(${Boost_INCLUDE_DIRS})

add_executable(run_selftest src/run_selftest.cpp)
find_package(Boost REQUIRED COMPONENTS thread)
include_directories(${Boost_INCLUDE_DIRS})
target_link_libraries(run_selftest ${Boost_LIBRARIES}
                                   ${catkin_LIBRARIES}
)

add_executable(selftest_example src/selftest_example.cpp)
find_package(Boost REQUIRED COMPONENTS thread)
include_directories(${Boost_INCLUDE_DIRS})
target_link_libraries(selftest_example ${Boost_LIBRARIES}
                                       ${catkin_LIBRARIES}
)

add_executable(selftest_rostest src/selftest_rostest.cpp
                                gtest-1.7.0/gtest-all.cc)
target_link_libraries(selftest_rostest ${Boost_LIBRARIES}
                                       ${catkin_LIBRARIES}
)

if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test)

  add_rostest(test/launch/nominal_test.launch)
  add_rostest(test/launch/no_id_test.launch)
  add_rostest(test/launch/error_test.launch)
  add_rostest(test/launch/exception_test.launch)
endif()

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(TARGETS run_selftest selftest_example selftest_rostest
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

=== test_diagnostic_aggregator/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(test_diagnostic_aggregator)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED diagnostic_aggregator diagnostic_msgs pluginlib roscpp rospy rostest)

catkin_package(DEPENDS diagnostic_aggregator diagnostic_msgs pluginlib roscpp rospy
               INCLUDE_DIRS include
               LIBRARIES ${PROJECT_NAME}
)

include_directories(SYSTEM ${catkin_INCLUDE_DIRS})
include_directories(include)

add_library(test_diagnostic_aggregator
  src/match_no_analyze_analyzer.cpp
  src/fail_init_analyzer.cpp)
add_dependencies(test_diagnostic_aggregator ${catkin_EXPORTED_TARGETS})
target_link_libraries(test_diagnostic_aggregator ${catkin_LIBRARIES})

if(CATKIN_ENABLE_TESTING)
  add_rostest(test/launch/test_match_no_analyze_analyzer_load.launch)

  # Tests that an item can be matched, not analyzed, and reported in "Other"
  add_rostest(test/launch/test_match_no_analyze.launch)

  # Tests that item can be matched, not analyzed, but analyzed by another Analyzer
  add_rostest(test/launch/test_match_then_analyze.launch)

  # Tests that analyzers that fail to load will report an error in the diagnostics
  add_rostest(test/launch/test_fail_init.launch)

  # Tests that analyzers specified both with and without package name load correctly
  add_rostest(test/launch/test_dual_analyzer_load.launch)
endif()

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)
install(FILES test_diagnostic_aggregator_plugin.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

## ros-diagnostics 1.10.1%2Bds1

=== debian/control ===
Source: ros-diagnostics
Section: libs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
           Johannes 'josch' Schauer <josch@debian.org>
Build-Depends: debhelper-compat (= 13), catkin, python3-all, python3-setuptools, dh-sequence-python3, libdiagnostic-msgs-dev, pluginlib-dev, libroscpp-dev, python3-rospy, librostest-dev, librosbag-dev, libbondcpp-dev, googletest
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/diagnostics
Vcs-Browser: https://salsa.debian.org/science-team/ros-diagnostics
Vcs-Git: https://salsa.debian.org/science-team/ros-diagnostics.git

Package: libdiagnostic-aggregator-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdiagnostic-aggregator1d (= ${binary:Version}), ${misc:Depends}, libdiagnostic-msgs-dev, pluginlib-dev, libroscpp-dev, python3-rospy, librostest-dev, libxmlrpcpp-dev
Description: development files for diagnostic_aggregator (Robot OS)
 The diagnostic_aggregator contains a ROS node, aggregator_node, that listens
 to diagnostic_msgs/DiagnosticArray messages on the /diagnostics topic,
 processes and categorizes the data, and republishes on /diagnostics_agg. The
 aggregator_node loads "Analyzer" plugins to perform the diagnostics processing
 and categorization. The configuration and setup for each diagnostic aggregator
 is specific to each robot and can be determined by users or developers.
 .
 This package contains the development files for the library.

Package: libdiagnostic-aggregator1d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: library for diagnostic_aggregator (Robot OS)
 The diagnostic_aggregator contains a ROS node, aggregator_node, that listens
 to diagnostic_msgs/DiagnosticArray messages on the /diagnostics topic,
 processes and categorizes the data, and republishes on /diagnostics_agg. The
 aggregator_node loads "Analyzer" plugins to perform the diagnostics processing
 and categorization. The configuration and setup for each diagnostic aggregator
 is specific to each robot and can be determined by users or developers.
 .
 This package contains the C library.

Package: libdiagnostic-aggregator-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3
Multi-Arch: foreign
Description: Robot OS diagnostic_aggregator tools
 The diagnostic_aggregator contains a ROS node, aggregator_node, that listens
 to diagnostic_msgs/DiagnosticArray messages on the /diagnostics topic,
 processes and categorizes the data, and republishes on /diagnostics_agg. The
 aggregator_node loads "Analyzer" plugins to perform the diagnostics processing
 and categorization. The configuration and setup for each diagnostic aggregator
 is specific to each robot and can be determined by users or developers.
 .
 This package contains the tools.

Package: python3-diagnostic-analysis
Section: python
Architecture: any
Multi-Arch: allowed
Depends: ${python3:Depends}, ${misc:Depends}
Description: Python library diagnostic_analysis (Robot OS)
 This package is part of Robot OS (ROS). The diagnostic_analysis package can
 convert a log of diagnostics data into a series of CSV files. Robot logs are
 recorded with rosbag, and can be processed offline using the scripts in this
 package.

Package: libdiagnostic-updater-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libdiagnostic-msgs-dev, libroscpp-dev, librostest-dev
Description: Robot OS diagnostic_updater tools
 This package is part of Robot OS (ROS). diagnostic_updater contains tools for
 easily updating diagnostics. it is commonly used in device drivers to keep
 track of the status of output topics, device status, etc.
 .
 This package contains the development files for the library.

Package: python3-diagnostic-updater
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python3:Depends}, ${misc:Depends}, python3-rospy, python3-diagnostic-msgs
Description: Python library diagnostic_updater (Robot OS)
 This package is part of Robot OS (ROS). The diagnostic_updater package can
 convert a log of diagnostics data into a series of CSV files. Robot logs are
 recorded with rosbag, and can be processed offline using the scripts in this
 package.

Package: python3-diagnostic-common-diagnostics
Section: python
Architecture: any
Multi-Arch: allowed
Depends: ${python3:Depends}, ${misc:Depends}
Description: Python library diagnostic_common_diagnostics (Robot OS)
 This package is part of Robot OS (ROS). The diagnostic_common_diagnostics
 package can convert a log of diagnostics data into a series of CSV files.
 Robot logs are recorded with rosbag, and can be processed offline using the
 scripts in this package.

Package: libself-test-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libdiagnostic-msgs-dev, libdiagnostic-updater-dev, libroscpp-dev, librostest-dev
Description: development files for self_test (Robot OS)
 This package is part of Robot OS (ROS). It uses the diagnostic_updater to
 perform a self test on a driver, using a special service call.
 .
 This package contains the development files for the library.

Package: libself-test-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3
Multi-Arch: foreign
Description: Robot OS self_test tools
 This package is part of Robot OS (ROS). It uses the diagnostic_updater to
 perform a self test on a driver, using a special service call.
 .
 This package contains the tools.

Package: rosdiagnostic
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: command line tool to print aggregated diagnostic (Robot OS)
 This package is part of Robot OS (ROS). It contains a command to print
 aggregated diagnostic contents to the command line.

## ros-diagnostics 1.10.1+ds1

=== debian/changelog ===
ros-diagnostics (1.10.1+ds1-3) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 16:40:59 +0100

ros-diagnostics (1.10.1+ds1-2) unstable; urgency=medium

  * Add patch for Boost 1.74
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 14 Dec 2020 14:31:40 +0100

ros-diagnostics (1.10.1+ds1-1) unstable; urgency=medium

  * New upstream version 1.10.1+ds1
  * Drop patch (fixed upstream)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 21 Aug 2020 20:12:56 +0200

ros-diagnostics (1.10.0+ds1-1) unstable; urgency=medium

  * New upstream version 1.10.0+ds1

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 13 Aug 2020 21:08:38 +0200

ros-diagnostics (1.9.4+ds1-3) unstable; urgency=medium

  * Add patch to fix piuparts

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 03 Jul 2020 15:58:47 +0200

ros-diagnostics (1.9.4+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Jun 2020 07:19:29 +0200

ros-diagnostics (1.9.4+ds1-1) experimental; urgency=medium

  * limit d/watch to ROS 1
  * New upstream version 1.9.4+ds1
  * update copyright
  * rebase patches
  * bump debhelper version and add missing package
  * bump Soname due to ABI change

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 19 Jun 2020 19:48:18 +0200

ros-diagnostics (1.9.3+ds1-2) unstable; urgency=medium

  * Add MA hints

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 10 Apr 2020 19:34:24 +0200

ros-diagnostics (1.9.3+ds1-1) unstable; urgency=medium

  * Initial release (Closes: #951737)

 -- Johannes 'josch' Schauer <josch@debian.org>  Thu, 20 Feb 2020 23:41:23 +0100

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1,\
    filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-diagnostics-$1.tar.gz%" \
    https://github.com/ros/diagnostics/tags \
    (?:.*?/)?v?(1.\d[\d.]*)\.tar\.gz

## ros-diagnostics 1.11.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
            Johannes 'josch' Schauer <josch@debian.org>
-Build-Depends: debhelper-compat (= 13), catkin, python3-all, python3-setuptools, dh-sequence-python3, libdiagnostic-msgs-dev, pluginlib-dev, libroscpp-dev, python3-rospy, librostest-dev, librosbag-dev, libbondcpp-dev, googletest
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), catkin (>= 0.8.10-1~), python3-all, python3-setuptools, dh-sequence-python3, libdiagnostic-msgs-dev, pluginlib-dev, libroscpp-dev, python3-rospy, librostest-dev, librosbag-dev, libbondcpp-dev, libgtest-dev, python3-nose <!nocheck>, python3-rostest <!nocheck>, python3-diagnostic-msgs <!nocheck>, python3-psutil <!nocheck>, python3-rosbag <!nocheck>, python3-bondpy <!nocheck>
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/diagnostics
 Vcs-Browser: https://salsa.debian.org/science-team/ros-diagnostics
@@ -57,7 +57,7 @@
 
 Package: python3-diagnostic-analysis
 Section: python
-Architecture: any
+Architecture: all
 Multi-Arch: allowed
 Depends: ${python3:Depends}, ${misc:Depends}
 Description: Python library diagnostic_analysis (Robot OS)
@@ -70,13 +70,24 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libdiagnostic-msgs-dev, libroscpp-dev, librostest-dev
-Description: Robot OS diagnostic_updater tools
+Depends: ${misc:Depends}, libdiagnostic-updater0d (= ${binary:Version}), libdiagnostic-msgs-dev, libroscpp-dev, librostest-dev
+Description: development files for diagnostic_updater (Robot OS)
  This package is part of Robot OS (ROS). diagnostic_updater contains tools for
  easily updating diagnostics. it is commonly used in device drivers to keep
  track of the status of output topics, device status, etc.
  .
  This package contains the development files for the library.
+
+Package: libdiagnostic-updater0d
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: library for diagnostic_updater (Robot OS)
+ This package is part of Robot OS (ROS). diagnostic_updater contains tools for
+ easily updating diagnostics. it is commonly used in device drivers to keep
+ track of the status of output topics, device status, etc.
+ .
+ This package contains the shared library.
 
 Package: python3-diagnostic-updater
 Section: python

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# for tests
export ROS_HOME=/tmp/ros
export ROS_IP=127.0.0.1

%:
	dh $@

override_dh_auto_test:
	make -C obj-$(DEB_HOST_GNU_TYPE) run_tests
ifeq (,$(filter $(DEB_BUILD_ARCH),s390x powerpc ppc64 sparc64))
	catkin_test_results
endif

## ros-diagnostics 1.11.0+ds

=== diagnostic_aggregator/CMakeLists.txt ===
--- 
+++ 
@@ -68,6 +68,9 @@
 install(DIRECTORY include/${PROJECT_NAME}/
         DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
 )
+install(DIRECTORY demo
+  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
+)
 install(FILES analyzer_plugins.xml
         DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
 )

=== diagnostic_updater/CMakeLists.txt ===
--- 
+++ 
@@ -6,21 +6,35 @@
 
 catkin_python_setup()
 
-catkin_package(DEPENDS diagnostic_msgs roscpp std_msgs
+catkin_package(CATKIN_DEPENDS diagnostic_msgs roscpp std_msgs
                INCLUDE_DIRS include
+	       LIBRARIES ${PROJECT_NAME}
 )
 
 include_directories(include ${catkin_INCLUDE_DIRS})
 add_executable(example src/example.cpp)
+add_library(${PROJECT_NAME}
+  src/timestamp_status.cpp)
+target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
 target_link_libraries(example ${catkin_LIBRARIES})
+
+#set(LOCAL_GTEST_DIR "gtest-1.7.0")
+# gtest could be included in ${catkin_INCLUDE_DIRS}, prepend local gtest include directory so it's searched first
+#include_directories(BEFORE ${LOCAL_GTEST_DIR}/include)
 
 if(CATKIN_ENABLE_TESTING)
   find_package(rostest REQUIRED)
   add_rostest_gtest(diagnostic_updater_test test/diagnostic_updater_test.xml test/diagnostic_updater_test.cpp)
   add_rostest(test/diagnostic_updater_fast_test.xml)
-  target_link_libraries(diagnostic_updater_test ${catkin_LIBRARIES})
+  target_link_libraries(diagnostic_updater_test ${catkin_LIBRARIES} ${PROJECT_NAME})
 endif()
 
 install(DIRECTORY include/${PROJECT_NAME}/
         DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
 )
+
+install(TARGETS ${PROJECT_NAME}
+    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
+    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
+    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
+)

=== rosdiagnostic/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rosdiagnostic)

find_package(catkin REQUIRED)

catkin_package()

catkin_python_setup()

=== debian/changelog ===
ros-diagnostics (1.11.0+ds-8) unstable; urgency=medium

  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 24 Feb 2025 19:44:26 +0100

ros-diagnostics (1.11.0+ds-7) unstable; urgency=medium

  * Depend on new dh-ros for fixed tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 19 Mar 2024 09:52:20 +0100

ros-diagnostics (1.11.0+ds-6) unstable; urgency=medium

  * Add back catkin (accidentally deleted)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 18 Mar 2024 18:59:41 +0100

ros-diagnostics (1.11.0+ds-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

  [ Jochen Sprickerhof ]
  * Switch to dh-ros (Closes: #1048974)
  * Python 3.12 fixes (Closes: #1067000)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 18 Mar 2024 07:47:21 +0100

ros-diagnostics (1.11.0+ds-4) unstable; urgency=medium

  * Drop nose dependency (Closes: #1018624)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Aug 2022 14:40:45 +0200

ros-diagnostics (1.11.0+ds-3) unstable; urgency=medium

  * Add patch for new pluginlib

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 08 Jul 2022 12:34:38 +0200

ros-diagnostics (1.11.0+ds-2) unstable; urgency=medium

  * Add patch for new pluginlib
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 13 Jun 2022 13:03:03 +0200

ros-diagnostics (1.11.0+ds-1) unstable; urgency=medium

  * Drop repacksuffix number
  * New upstream version 1.11.0+ds
  * Drop Python 3 patch (no longer needed)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 03 Jan 2022 22:41:13 +0100

ros-diagnostics (1.10.4+ds1-4) unstable; urgency=medium

  * Ignore failing tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 27 Oct 2021 12:36:18 +0200

ros-diagnostics (1.10.4+ds1-3) unstable; urgency=medium

  [ Timo Röhling ]
  * Fix missing include path for googletest

  [ Jochen Sprickerhof ]
  * Update autopkgtest
  * Enable tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 27 Oct 2021 11:12:04 +0200

ros-diagnostics (1.10.4+ds1-2) unstable; urgency=medium

  * Remove duplicate Section
  * upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 15 Oct 2021 23:37:29 +0200

ros-diagnostics (1.10.4+ds1-1) experimental; urgency=medium

  * New upstream version 1.10.4+ds1
  * diagnostic_updater is no longer header-only
  * Add lintian override for arch:any.
    Multi-Arch interpreter problem as explained in #901696
  * Make python3-diagnostic-analysis arch:all

 -- Timo Röhling <roehling@debian.org>  Sun, 26 Sep 2021 17:58:17 +0200

ros-diagnostics (1.10.1+ds1-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:42:02 +0200

ros-diagnostics (1.10.1+ds1-4) experimental; urgency=medium

  * Team upload.
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Mon, 20 Sep 2021 22:55:41 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
            Johannes 'josch' Schauer <josch@debian.org>
-Build-Depends: debhelper-compat (= 13), catkin (>= 0.8.10-1~), python3-all, python3-setuptools, dh-sequence-python3, libdiagnostic-msgs-dev, pluginlib-dev, libroscpp-dev, python3-rospy, librostest-dev, librosbag-dev, libbondcpp-dev, libgtest-dev, python3-nose <!nocheck>, python3-rostest <!nocheck>, python3-diagnostic-msgs <!nocheck>, python3-psutil <!nocheck>, python3-rosbag <!nocheck>, python3-bondpy <!nocheck>
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), dh-ros (>= 0.13.4), catkin, python3-all, python3-setuptools, dh-sequence-python3, libdiagnostic-msgs-dev, pluginlib-dev, libroscpp-dev, python3-rospy, librostest-dev, librosbag-dev, libbondcpp-dev, libgtest-dev, python3-rostest <!nocheck>, python3-diagnostic-msgs <!nocheck>, python3-psutil <!nocheck>, python3-rosbag <!nocheck>, python3-bondpy <!nocheck>
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/diagnostics
 Vcs-Browser: https://salsa.debian.org/science-team/ros-diagnostics

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export ROS_SKIP_PACKAGES = diagnostics
export ROS_IGNORE_TEST_RESULTS=$(if $(filter $(DEB_BUILD_ARCH),s390x powerpc ppc64 sparc64),1,0)

%:
	dh $@ --buildsystem=ros

=== debian/tests/control ===
Test-Command: ./debian/tests/compilation diagnostic_updater diagnostic_updater/diagnostic_updater.h
Restrictions: allow-stderr
Depends: libdiagnostic-updater-dev, g++, catkin
Features: test-name=libdiagnostic-updater-dev

Test-Command: python3 -c "import diagnostic_updater"
Restrictions: allow-stderr
Depends: python3-diagnostic-updater
Features: test-name=python3-diagnostic-updater

## ros-diagnostics 1.12.1%2Bds

=== diagnostic_common_diagnostics/CMakeLists.txt ===
--- 
+++ 
@@ -17,10 +17,14 @@
   add_rostest(test/launch/test_cpu_monitor.launch)
   add_rostest(test/launch/test_cpu_monitor_level_ok.launch)
   add_rostest(test/launch/test_cpu_monitor_level_warn.launch)
+  add_rostest(test/launch/test_ram_monitor.launch)
+  add_rostest(test/launch/test_ram_monitor_level_ok.launch)
+  add_rostest(test/launch/test_ram_monitor_level_warn.launch)
 endif()
 
 catkin_install_python(PROGRAMS
   src/diagnostic_common_diagnostics/cpu_monitor.py
+  src/diagnostic_common_diagnostics/ram_monitor.py
   src/diagnostic_common_diagnostics/hd_monitor.py
   src/diagnostic_common_diagnostics/ntp_monitor.py
   src/diagnostic_common_diagnostics/sensors_monitor.py

=== debian/watch ===
Version: 5

Template: Github
Owner: ros
Project: diagnostics
Source: https://api.github.com/repos/ros/diagnostics/git/matching-refs/tags/1.
Dversion-Mangle: auto
Uversion-Mangle: auto
Repack: yes
Repack-Suffix: +ds

## ros-diagnostics 1.12.1+ds

=== diagnostic_aggregator/CMakeLists.txt ===
--- 
+++ 
@@ -31,6 +31,7 @@
   src/analyzer_group.cpp
   src/generic_analyzer.cpp
   src/discard_analyzer.cpp
+  src/downgrade_analyzer.cpp
   src/ignore_analyzer.cpp
   src/aggregator.cpp)
 target_link_libraries(diagnostic_aggregator ${Boost_LIBRARIES}

=== diagnostic_analysis/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(diagnostic_analysis)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED diagnostic_msgs rosbag roslib)

catkin_package(DEPENDS diagnostic_msgs rosbag roslib)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  catkin_add_nosetests(test/bag_csv_test.py)
endif()

catkin_python_setup()

catkin_install_python(PROGRAMS scripts/export_csv.py scripts/sparse_csv.py
                        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== diagnostics/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(diagnostics)
find_package(catkin REQUIRED)
catkin_metapackage()

=== self_test/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 cmake_minimum_required(VERSION 3.0.2)
+cmake_policy(SET CMP0054 NEW)
 project(self_test)
 
 # Load catkin and all dependencies required for this package

=== self_test/test/CMakeLists.txt ===
add_executable(nominal_selftest nominal_selftest.cpp)
target_link_libraries(nominal_selftest ${catkin_LIBRARIES})

add_executable(exception_selftest exception_selftest.cpp)
target_link_libraries(exception_selftest ${catkin_LIBRARIES})

add_executable(error_selftest error_selftest.cpp)
target_link_libraries(error_selftest ${catkin_LIBRARIES})

add_executable(no_id_selftest no_id_selftest.cpp)
target_link_libraries(no_id_selftest ${catkin_LIBRARIES})

=== debian/changelog ===
ros-diagnostics (1.12.1+ds-1) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * New upstream version 1.12.1+ds
  * Update patches.
    - Merged: 0005-Switch-to-new-boost-bind-bind.hpp.patch
    - Merged: 0006-Switch-to-hpp-headers-of-pluginlib.patch
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2
  * Add myself to uploaders
  * Fix (minor) semantic error in d/rules

 -- Timo Röhling <roehling@debian.org>  Mon, 22 Sep 2025 17:49:06 +0200

=== debian/control ===
Source: ros-diagnostics
Section: libs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Johannes 'josch' Schauer <josch@debian.org>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-ros (>= 0.13.4),
 dh-sequence-python3,
 catkin,
 libbondcpp-dev,
 libdiagnostic-msgs-dev,
 libgtest-dev,
 librosbag-dev,
 libroscpp-dev,
 librostest-dev,
 pluginlib-dev,
 python3-all,
 python3-bondpy <!nocheck>,
 python3-diagnostic-msgs <!nocheck>,
 python3-psutil <!nocheck>,
 python3-rosbag <!nocheck>,
 python3-rospy,
 python3-rostest <!nocheck>,
 python3-setuptools,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/diagnostics
Vcs-Browser: https://salsa.debian.org/science-team/ros-diagnostics
Vcs-Git: https://salsa.debian.org/science-team/ros-diagnostics.git

Package: libdiagnostic-aggregator-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libdiagnostic-aggregator1d (= ${binary:Version}),
 libdiagnostic-msgs-dev,
 libroscpp-dev,
 librostest-dev,
 libxmlrpcpp-dev,
 pluginlib-dev,
 python3-rospy,
 ${misc:Depends},
Description: development files for diagnostic_aggregator (Robot OS)
 The diagnostic_aggregator contains a ROS node, aggregator_node, that listens
 to diagnostic_msgs/DiagnosticArray messages on the /diagnostics topic,
 processes and categorizes the data, and republishes on /diagnostics_agg. The
 aggregator_node loads "Analyzer" plugins to perform the diagnostics processing
 and categorization. The configuration and setup for each diagnostic aggregator
 is specific to each robot and can be determined by users or developers.
 .
 This package contains the development files for the library.

Package: libdiagnostic-aggregator-tools
Architecture: any
Depends:
 python3,
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: Robot OS diagnostic_aggregator tools
 The diagnostic_aggregator contains a ROS node, aggregator_node, that listens
 to diagnostic_msgs/DiagnosticArray messages on the /diagnostics topic,
 processes and categorizes the data, and republishes on /diagnostics_agg. The
 aggregator_node loads "Analyzer" plugins to perform the diagnostics processing
 and categorization. The configuration and setup for each diagnostic aggregator
 is specific to each robot and can be determined by users or developers.
 .
 This package contains the tools.

Package: libdiagnostic-aggregator1d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: library for diagnostic_aggregator (Robot OS)
 The diagnostic_aggregator contains a ROS node, aggregator_node, that listens
 to diagnostic_msgs/DiagnosticArray messages on the /diagnostics topic,
 processes and categorizes the data, and republishes on /diagnostics_agg. The
 aggregator_node loads "Analyzer" plugins to perform the diagnostics processing
 and categorization. The configuration and setup for each diagnostic aggregator
 is specific to each robot and can be determined by users or developers.
 .
 This package contains the C library.

Package: libdiagnostic-updater-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libdiagnostic-msgs-dev,
 libdiagnostic-updater0d (= ${binary:Version}),
 libroscpp-dev,
 librostest-dev,
 ${misc:Depends},
Description: development files for diagnostic_updater (Robot OS)
 This package is part of Robot OS (ROS). diagnostic_updater contains tools for
 easily updating diagnostics. it is commonly used in device drivers to keep
 track of the status of output topics, device status, etc.
 .
 This package contains the development files for the library.

Package: libdiagnostic-updater0d
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: library for diagnostic_updater (Robot OS)
 This package is part of Robot OS (ROS). diagnostic_updater contains tools for
 easily updating diagnostics. it is commonly used in device drivers to keep
 track of the status of output topics, device status, etc.
 .
 This package contains the shared library.

Package: libself-test-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libdiagnostic-msgs-dev,
 libdiagnostic-updater-dev,
 libroscpp-dev,
 librostest-dev,
 ${misc:Depends},
Description: development files for self_test (Robot OS)
 This package is part of Robot OS (ROS). It uses the diagnostic_updater to
 perform a self test on a driver, using a special service call.
 .
 This package contains the development files for the library.

Package: libself-test-tools
Architecture: any
Depends:
 python3,
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: Robot OS self_test tools
 This package is part of Robot OS (ROS). It uses the diagnostic_updater to
 perform a self test on a driver, using a special service call.
 .
 This package contains the tools.

Package: python3-diagnostic-analysis
Section: python
Architecture: all
Multi-Arch: allowed
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python library diagnostic_analysis (Robot OS)
 This package is part of Robot OS (ROS). The diagnostic_analysis package can
 convert a log of diagnostics data into a series of CSV files. Robot logs are
 recorded with rosbag, and can be processed offline using the scripts in this
 package.

Package: python3-diagnostic-common-diagnostics
Section: python
Architecture: any
Multi-Arch: allowed
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python library diagnostic_common_diagnostics (Robot OS)
 This package is part of Robot OS (ROS). The diagnostic_common_diagnostics
 package can convert a log of diagnostics data into a series of CSV files.
 Robot logs are recorded with rosbag, and can be processed offline using the
 scripts in this package.

Package: python3-diagnostic-updater
Section: python
Architecture: all
Multi-Arch: allowed
Depends:
 python3-diagnostic-msgs,
 python3-rospy,
 ${misc:Depends},
 ${python3:Depends},
Description: Python library diagnostic_updater (Robot OS)
 This package is part of Robot OS (ROS). The diagnostic_updater package can
 convert a log of diagnostics data into a series of CSV files. Robot logs are
 recorded with rosbag, and can be processed offline using the scripts in this
 package.

Package: rosdiagnostic
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: command line tool to print aggregated diagnostic (Robot OS)
 This package is part of Robot OS (ROS). It contains a command to print
 aggregated diagnostic contents to the command line.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export ROS_SKIP_PACKAGES = diagnostics
export ROS_IGNORE_TEST_RESULTS=$(if $(filter $(DEB_BUILD_ARCH),s390x powerpc ppc64 sparc64),1,)

%:
	dh $@ --buildsystem=ros

=== debian/tests/control ===
Test-Command: ./debian/tests/compilation diagnostic_updater diagnostic_updater/diagnostic_updater.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libdiagnostic-updater-dev,
Features:
 test-name=libdiagnostic-updater-dev,

Test-Command: python3 -c "import diagnostic_updater"
Restrictions:
 allow-stderr,
Depends:
 python3-diagnostic-updater,
Features:
 test-name=python3-diagnostic-updater,
